package weka.classifiers.rules.car;

/**
 * Measures used in strategies to compare rules in rule set.
 * @author Zbigniew Grudzinski
 */
public enum ComparisonMeasure {
	/**
	 * D confirmation measure
	 */
	D,
	
	/**
	 * M confirmation measure
	 */
	M,
	
	/**
	 * S confirmation measure
	 */
	S,
	
	/**
	 * N confirmation measure
	 */
	N,
	
	/**
	 * C confirmation measure
	 */
	C,
	
	/**
	 * F confirmation measure
	 */
	F,
	
	/**
	 * Z confirmation measure
	 */
	Z,
	
	/**
	 * A confirmation measure
	 */
	A,
	
	/**
	 * c1 confirmation measure
	 */
	C1,
	
	/**
	 * c2 confirmation measure
	 */
	C2,
	
	/**
	 * c3 confirmation measure
	 */
	C3,
	
	/**
	 * c4 confirmation measure
	 */
	C4,
	
	/**
	 * Rule support
	 */
	SUP,
	
	/**
	 * Rule confidence
	 */
	CONF,

	/**
	 * Rule length
	 */
	LENGTH
}
