package weka.confirmationMeasures;

public class NConfirmationMeasure extends ConfirmationMeasure {
	
	private static final long serialVersionUID = 8418774483386631056L;

	public NConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {
		if ((a + b == 0) || (c + d == 0)) {
			return divisionByZeroStrategy.coerceValue(a, b, c, d);
		}
		
		return (a / (a + b)) - (c / (c + d));
	}
	
}
