package weka.confirmationMeasures;

public class CConfirmationMeasure extends ConfirmationMeasure {
	
	private static final long serialVersionUID = -4208251648774211965L;

	public CConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {	
		double n = a + b + c + d;
		return 4 * ((a / n) - (((a + c) * (a + b)) / (n * n)));
	}
	
}
