package weka.confirmationMeasures;

public class DConfirmationMeasure extends ConfirmationMeasure {

	private static final long serialVersionUID = 4329573503877229543L;

	public DConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {
		if (a + c == 0) {
			return divisionByZeroStrategy.coerceValue(a, b, c, d);
		}
		
		return (a / (a + c)) - ((a + b) / (a + b + c + d));
	}

}
