package weka.confirmationMeasures;

public class FConfirmationMeasure extends ConfirmationMeasure {

	private static final long serialVersionUID = -4530144151518296227L;

	public FConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {
		double denominator = a * d + b * c + 2 * a * c;
		if (denominator == 0) {
			return divisionByZeroStrategy.coerceValue(a, b, c, d);
		}
		return (a * d - b * c) / denominator;
	}

}
