package weka.confirmationMeasures;

public class MConfirmationMeasure extends ConfirmationMeasure {
	
	private static final long serialVersionUID = -5368987494594069746L;

	public MConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {
		if (a + b == 0) {
			return divisionByZeroStrategy.coerceValue(a, b, c, d);
		}
		
		return (a / (a + b)) - ((a + c) / (a + b + c + d));
	}
	
}
