package weka.confirmationMeasures;

public class SConfirmationMeasure extends ConfirmationMeasure {
	
	private static final long serialVersionUID = 4331778730561803106L;

	public SConfirmationMeasure(DivisionByZeroStrategy divisionByZeroStrategy) {
		super(divisionByZeroStrategy);
	}

	@Override
	protected double compute(double a, double b, double c, double d) {
		if ((a + c == 0) || (b + d == 0)) {
			return divisionByZeroStrategy.coerceValue(a, b, c, d);
		}
		
		return (a / (a + c)) - (b / (b + d));
	}
	
}
