package weka.confirmationMeasures;

import java.io.Serializable;

public class ZeroCoercionDivisionByZeroStrategy implements DivisionByZeroStrategy, Serializable {
	private static final long serialVersionUID = 1973137788604578633L;

	@Override
	public double coerceValue(double a, double b, double c, double d) {
		if (a * d - b * c == 0) {
			return 0;
		}
		else {
			return Double.NaN;
		}
	}

}
